Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface StringClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StringClauseTypeImpl

    public interface StringClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'String Clause Type'.

The following features are supported:

- `Value`
- `String Predicate`

See Also:
  `QueryPackage.getStringClauseType()`

Method Summary
`StringPredicateType` | `getStringPredicate()` Returns the value of the 'String Predicate' attribute.
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`boolean` | `isSetStringPredicate()` Returns whether the value of the '`String Predicate`' attribute is set.
`void` | `setStringPredicate(StringPredicateType value)` Sets the value of the '`String Predicate`' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.
`void` | `unsetStringPredicate()` Unsets the value of the '`String Predicate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `QueryPackage.getStringClauseType_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getStringPredicate

    StringPredicateType getStringPredicate()

  Returns the value of the 'String Predicate' attribute. The default value is `"Contains"`. The literals are from the enumeration `StringPredicateType`.

  If the meaning of the 'String Predicate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Predicate' attribute.
  See Also:
    `StringPredicateType`, `isSetStringPredicate()`, `unsetStringPredicate()`, `setStringPredicate(StringPredicateType)`, `QueryPackage.getStringClauseType_StringPredicate()`

### setStringPredicate

    void setStringPredicate(StringPredicateType value)

  Sets the value of the '`String Predicate`' attribute.

  Parameters:
    `value` - the new value of the 'String Predicate' attribute.
  See Also:
    `StringPredicateType`, `isSetStringPredicate()`, `unsetStringPredicate()`, `getStringPredicate()`

### unsetStringPredicate

    void unsetStringPredicate()

  Unsets the value of the '`String Predicate`' attribute.

  See Also:
    `isSetStringPredicate()`, `getStringPredicate()`, `setStringPredicate(StringPredicateType)`

### isSetStringPredicate

    boolean isSetStringPredicate()

  Returns whether the value of the '`String Predicate`' attribute is set.

  Returns:
    whether the value of the 'String Predicate' attribute is set.
  See Also:
    `unsetStringPredicate()`, `getStringPredicate()`, `setStringPredicate(StringPredicateType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD